# Print out rank, country and total medal count for each line

for line in open("medals.csv"):
    clean_line = line.strip()
    # Split the data that is comma separated on each line (a string) into a list of fields 
    fields = clean_line.split(',')

    # The fields are:
    # 0: Rank
    # 1: Country name 
    # 2: Number of gold medals
    # 3: Number of silver medals
    # 4: Number of bronze medals
    # 5: Number of total medals

    print "#{0:<2} {1:<28} {5:>3} medals".format(*fields)

