# A demo of functional functions :)


def gt10(n):
    """Returns True if n is greater than 10"""
    return n > 10


def cube(n):
    """Returns n ^ 3"""
    return n * n * n


nums = [1, 9, 16, 4, 32, 3, 0, 64, 12, 5]

print nums
print
print "Filtered through gt10():", filter(gt10, nums)
print
print "Mapping with gt10():", map(gt10, nums)
print
print "Mapping with cube():", map(cube, nums)


# Let's now print out a table showing for each number in our original list
# if it is greater than 10 or not
# This combines map(), zip() and enumerate()
print "\tn\tValue\t> 10?\n"
for i, (num, state) in enumerate(zip(nums, map(gt10, nums)), 1):
    print "\t%d\t%d\t%s" % (i, num, state)



