# An example of iterating over a string

def reverse1(s):
    """Returns the reversed version of the string argument"""
    # Note that this is not the most elegant or efficient way
    # It is written this way to explain some concepts
    s_len = len(s)
    r = ''
    for i in range(s_len):
        r = r + s[s_len - i - 1]
    return r

def reverse2(s):
    """Use a list comprehension and the join() method to reverse a string"""
    # More Pythonic; we will come back to this later
    return ''.join([c for c in reversed(s)])

# ------------------------------------------------------------------------------

# 
my_name = 'Graeme'
for char in my_name:
    if char != 'e':
        print char,
print

# Reverse the string using the first function above
print reverse1(my_name)

# Now reverse the string using a slice and telling it to slice with a negative stride
print my_name[::-1]

