# A simple dictionary demo
#

colours = {"red": "rouge", "black": "noir", "white": "blanc", "yellow": "jaune", "blue" : "bleu"}


print "Our keys:", colours.keys()
print "Our values:", colours.values()
print "Our items:", colours.items()
print
print "Red =", colours["red"]
print "White =", colours["white"]

print
print "Our colour translation:"
for english,french in colours.items():
    print "%s = %s" % (english, french)

print 
print "Another way:"
for key in colours:
    print "%s = %s" % (key, colours[key])

# Two ways to check for a key
print
print "Do we have the translation for orange?", colours.has_key('orange')
print "Do we have the translation for red?", 'red' in colours

# handling missing keys
print
for colour in ['red', 'blue', 'silver']:
    print "%s = %s" % (colour, colours.get(colour, 'Unknown colour'))

