# A simple example of sets
# Remember a set can be defined like this: set([1,2,3,4])
#                            or like this: {1,2,3,4}

# Import our pretty printer
from pprint import pprint

# Original X-Men, 1963 - 1965
original_xmen = {"Professor X", "Cyclops", "Iceman", "Angel", "Beast", "Marvel Girl"}

# X-Men Anime, 2011
anime_xmen = {"Cyclops", "Wolverine", "Storm", "Beast", "Emma Frost", "Armor", "Professor X", "Jean Grey"}
    
print "\nWho was in the original X-Men team?"
pprint(original_xmen)

print "\nWho was in the X-Men anime team?"
pprint(anime_xmen)

print "\nWho was in both teams?"
pprint(original_xmen.intersection(anime_xmen))

print "\nHang on! Jean Grey was Marvel Girl. And Phoenix. And Dark Phoenix."
original_xmen.remove("Marvel Girl")
original_xmen.add("Jean Grey")

print "\nTell me again - who was in both teams?"
pprint(original_xmen.intersection(anime_xmen))

print "\nWho was just in the Anime team?"
pprint(anime_xmen.difference(original_xmen))

print "\nLastly, who was in either team?"
all_xmen = original_xmen.union(anime_xmen)
print "\nThere are %d X-Men:\n" % (len(all_xmen))
pprint(all_xmen)

